Enumerations

# viewport_widget.h File Reference

Types related to the viewport widgets. More...

Go to the source code of this file.

## Enumerations
enum | ExtraViewportWidgets { WID_EV_CAPTION, WID_EV_VIEWPORT, WID_EV_ZOOM_IN, WID_EV_ZOOM_OUT, WID_EV_MAIN_TO_VIEW, WID_EV_VIEW_TO_MAIN }
| Widgets of the ExtraViewportWindow class. More...

## Detailed Description

Types related to the viewport widgets.

Definition in file viewport_widget.h.

## Enumeration Type Documentation

enum ExtraViewportWidgets

Widgets of the ExtraViewportWindow class.

Enumerator:

  WID_EV_CAPTION | Caption of window.
  WID_EV_VIEWPORT | The viewport.
  WID_EV_ZOOM_IN | Zoom in.
  WID_EV_ZOOM_OUT | Zoom out.
  WID_EV_MAIN_TO_VIEW | Center the view of this viewport on the main view.
  WID_EV_VIEW_TO_MAIN | Center the main view on the view of this viewport.

Definition at line 16 of file viewport_widget.h.